Page MenuHomePhabricator

Lower access restriction for Special:Investigate on testwiki [Small]
Closed, ResolvedPublic1 Estimated Story PointsMay 8 2020

Description

Goal

For the upcoming user tests we need to get users to be able to access Special:Investigate on testwiki. Currently only users in the staff group have access.

Acceptance criteria
  • Users in the checkuser group on testwiki should be able to access Special:Investigate without needing to be in staff group.

Event Timeline

Niharika triaged this task as Medium priority.May 5 2020, 5:32 PM
Niharika created this task.
Niharika renamed this task from Lower access restriction for Special:Investigate on testwiki to Lower access restriction for Special:Investigate on testwiki [Small].May 6 2020, 4:44 PM
Niharika set the point value for this task to 1.
Niharika changed the subtype of this task from "Task" to "Deadline".May 7 2020, 6:32 AM
Niharika set Due Date to May 8 2020, 7:00 AM.

Change 594884 had a related patch set uploaded (by JJMC89; owner: JJMC89):
[mediawiki/extensions/CheckUser@master] Register the investigate right in extension.json

https://gerrit.wikimedia.org/r/594884

Change 594881 had a related patch set uploaded (by JJMC89; owner: JJMC89):
[operations/mediawiki-config@master] Add the investiagte right to the checkuser group on testwiki

https://gerrit.wikimedia.org/r/594881

Change 594884 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] Register the investigate right in extension.json

https://gerrit.wikimedia.org/r/594884

Change 594910 had a related patch set uploaded (by Tchanders; owner: JJMC89):
[mediawiki/extensions/CheckUser@wmf/1.35.0-wmf.31] Register the investigate right in extension.json

https://gerrit.wikimedia.org/r/594910

Change 594944 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[mediawiki/extensions/CheckUser@master] Revert "Register the investigate right in extension.json"

https://gerrit.wikimedia.org/r/594944

Change 594910 abandoned by Tchanders:
Register the investigate right in extension.json

Reason:
Not needed - I22e3368f91e06bce419b1bffe2b4ccd08d684743

https://gerrit.wikimedia.org/r/594910

Change 594944 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] Revert "Register the investigate right in extension.json"

https://gerrit.wikimedia.org/r/594944

Change 594881 merged by jenkins-bot:
[operations/mediawiki-config@master] Add the investigate right to the checkuser group on testwiki

https://gerrit.wikimedia.org/r/594881

Mentioned in SAL (#wikimedia-operations) [2020-05-07T18:08:19Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: 54bd2f1: Add the investigate right to the checkuser group on testwiki (T251932) (duration: 01m 08s)

dom_walden added a subscriber: dom_walden.

I don't think there is much I can do to test this, as I don't have a user in the CheckUser group on testwiki.

I see on https://test.wikipedia.org/wiki/Special:ListGroupRights that the "CheckUser" group has "investigate" right. No other group has that right (that I can see).

I don't think there is much I can do to test this, as I don't have a user in the CheckUser group on testwiki.

I see on https://test.wikipedia.org/wiki/Special:ListGroupRights that the "CheckUser" group has "investigate" right. No other group has that right (that I can see).

Thanks Dom. I have requested Sydney to grant you checkuser rights on testwiki so you can test features there more easily in the future.